Mulberry Change History (Unix)

v2.2.1 : 07-May-2002
Fixes
*Fixed bug with forward caption preferences not including cc by default.
*Fixed bug with binhex/uu encoding causing freezes on send.
*Fixed bug with hidden files appearing in local mailbox lists.
*Fixed bug with occasional corrupt local copies of attachments.
*Fixed bug with failure to update mailbox status when it is copied to.
*Fixed bug with handling broken Applefile attachments.
*Fixed bug causing occasional crashes when message window is open while
connection loss occurs.
*Fixed bug parsing compose file to get multi-key combinations for
accented character typing.

v2.2 : 22-Apr-2002
Fixes
*Fixed bug with crash in POPPASSD dialog.
*Fixed bug with missing local mailbox during disconnected playback.
*Fixed bug with remapping of suffix for file names tarting with '.'.
*Fixed bug with nested new mail alerts on screen.
*Fixed bug with forward rule action failing to properly attach original
message.
*Fixed bug with generation of illegal charset header in rare cases.
*Fixed bug with crashes in rules/targets dialog when resized.
*Fixed bug causing a crash when preferences are changed with rules
window open.
*Fixed bug with rules dialog titles and control names.
*Fixed bug with text import not handling arbitrary line ends.

v2.2b4 : 22-Mar-2002
Minor Changes
*Server window title now shows connected/disconnected state.

Fixes
*Fixed bug with subscribed in create dialog when only subscribed
hierarchy is present.
*Fixed bug with Paste Indented using wrong clipboard.
*Fixed bug with client-side threading when message-ids contain rfc2822
quote artifacts.
*Fixed bug with verify/decrypt of inline pgp data.
*Fixed bugs with enabling of Reset All/Refresh display hierarchy items.
*Fixed bug with message body reads on IMAP4/IMAP2bis servers.
*Fixed bug with empty EHLO fqdn.
*Fixed bug with EHLO fqdn on multi-homed systems.
*Fixed bug with addresses/groups with NIL in their names.
*Fixed bug with improper quoted-printable characters not being ignored.
*Fixed bug with messages copied back to their original local mailbox.

v2.2b3 : 13-Mar-2002
Minor Changes
*New From/To mailbox column icon next to name to indicate message only
CC'd to current user.
*New busy-cancel dialog that appears after five seconds whilst waiting
for a network read/write operation or a background thread.

Fixes
*Fixed bug with HTML named colours.
*Fixed bug with URLs being activated when modifier keys are down whilst
clicking.
*Fixed bug with certain syntax in AHREF tags in HTML.
*Fixed bug with decoding BinHex data with extra base64 encoding applied
to it.
*Fixed bug with overriding of duplicate mailcap file entries so that the
first entry is the one used.
*Fixed bug with stuffing From lines in local mailboxes.
*Fixed bug with disconnected playback whilst a local mailbox is open.
*Fixed bug with LDAP expansion not using email/nick-name attributes.
*Fixed bug with untagged responses from certain IMAP servers.
*Fixed bug with emtpy SEARCH spec error when opening a mailbox.
*Fixed bug with failure to use full file path when launching an
attachment.
*Fixed bug with viewing different attachments with the same name.
*Fixed bug with failure to reject S/MIME messages when doing
auto-verify/decrypt with PGP.
*Fixed bug with shortcuts in standard file/print dialogs that trigger
even without alt/mete key.
*Fixed bug with superfluous alert appearing after cancelling a spell
check.
*Fixed bug with incorrect hostname in SMTP EHLO command.
*Fixed bug with failure to return LDAP results after sizelimit or
timelimit non-fatal error.
*Fixed bug with allowing certain illegal address formats to be used with
drafts.
*Fixed bug with failure to use binary as opposed to text mode for
certain digital signature operations.
*Fixed bug with expanding an empty email address into all addresses.

v2.2b2 : 08-Feb-2002
Fixes
*Fixed bug with new mail alert causing crash when it appears.
*Fixed bug with SMTP queue window closing when a second queue is chosen.
*Fixed bug with failure to redraw queue window as message is sent.
*Fixed bug with failure to encode/decode utf8 with LDAP.
*Fixed bug with expunge on close with a local mailbox causing loss of
flags.
*Fixed bug with search not opening mailbox with found items.
*Fixed bug with crash on quit when connection failure occurs whilst
quitting.
*Fixed bug with incorrect fqdn in local hostname.

v2.2b1 : 01-Feb-2002
Major Changes
*Major revisions to connection failure handling for more robustness.
*Now supports address expansion using LDAP - controlled via new LDAP
Options panel in Account preferences.

Minor Changes
*HTML background colour now supported.
*Now displays IMG ALT tags in place of an image if they exist.
*Multi-mailbox searching redesigned for performance improvement.

Fixes
*Fixed bug with INBOX somtimes appearing as a directory and not a
mailbox.
*Fixed bug with failure to append domain name to hostname when domain
not present in hostname.
*Fixed bug with thread deadlocks not timing out in a sensible fashion.
*Fixed bug causing a crash when doing 'current' thread sorting and
attempting to scroll to bottom of window.
*Fixed bug causing a crash when logging out of a server with an open
mailbox and expunge on close.
*Fixed bug with failure to launch application after extracting an
attachment.
*Fixed bug thread information loss after replying/forwarding when using
thread sorting.
*Fixed bug with Euro symbol in HTML.
*Fixed bug causing loss of local mailbox flag information after a crash.
*Fixed bug casuing a crash when attempting to send a draft which
contains a message/rfc822 with no subparts.
*Fixed bug causing failure to open an IMAP mailbox when MIME content
parameters are corrupt.
*Fixed bug with match state being corrupted after a serach when the
mailbox is closed.
*Fixed bug with Euro character in message headers.
*Fixed bug with server mismatch error with SSL certs where server
address is numeric IP.
*Fixed bug with failure to properly register passphrase dialog cancel
when PGP signing drafts.

v2.1.2 : 07-Dec-2001
Minor Changes
*Can now specify realm with DIGEST-MD5 authentication by appending @ and
realm to user id.
*Tab can be used to move to the next searched mailbox with matching
messages in the search window mailbox list.
*Added Add to Draft popup to the address book/search addressing dialog
which allows addresses t be added to an existing draft.
*Now does MIME 1522 decoding of name/filename parameters, and
description in MIME headers.
*Address search window automatically activates a single LDAP server for
searching when LDAP search is chosen.

Fixes
*Fixed bug with failure to convert line ends in text parts with binary
encoding.
*Fixed bug with locked sender address including server port number.
*Fixed bug where POP3 INBOX looses flag information after crash.
*Fixed bug with parsing local mailbox that ends with a single 'F'.
*Fixed bug with certain servers that return a mailbox name when doing a
hierarchy delimiter lookup.
*Fixed with with failure to correctly parse HTML entities specified as
hex numbers.
*Fixed bug causing a crash when selecting certain items in a specific
order in the match popup.
*Fixed bug with mailbox window loosing sync when its the target of a
copy/move rule action.
*Fixed bug causing a crash when sending styled text.
*Fixed bug when parsing empty HTML tags.
*Fixed bug with failure to tolerate certain bad rfc822 date formats.
*Fixed bug preventing accented characters from being typed on certain
systems.
*Fixed bug with selection of inappropriate text parts in
multipart/alternative.
*Fixed bug with incorrect 'Version: 1' text when using PGP/MIME.
*Fixed bug causing a crash when deleting all multiple parts from a
draft.
*Fixed bug with local mailbox parsing when a message contains a bogus
empty last MIME part.
*Fixed bug causing occasional crash when expunging a mailbox in using
thread sorting.
*Fixed bug with parsing mailcap file.
*Fixed bug causing occasional crash when an open message window's
message is expunged with thread sorting active.
*Fixed bug causing a crash when ']' used as a quotation character for
highlighting.

v2.1.1 : 12-Oct-2001
Minor Changes
*Quotations in reply/forward drafts now always appear in date received
order.
*Added Admin kiosk option to disable rules.
*Can now fully accept invalid SSL certs after extra warning.
*Added new option for STARTTLS command to allow differentiation between
SSLv23 and TLSv1 client hello methods.
*Added Admin kiosk option to disable the use of local attachments in
drafts.

Fixes
*Fixed bug causing empty i18n MIME headers.
*Fixed bug with message header line folding occasionaly generating an
empty line.
*Fixed bug with crash when attempting to delete POP3 INBOX.
*Fixed bug with failure to allow sync operations with mailboxes contain
certain characters.
*Fixed bug causing a crash when local mailbox directory is not
accessible.
*Fixed bug with local directories being created without any permissions
set.
*Fixed bug with activation of subscribe checkbox in mailbox create
dialog.
*Fixed bug with silent failure of open mailbox command when error
occurs.
*Fixed bug with forward options dialog not picking up preferences
defaults.
*Fixed bug with certs being written to certs file multiple times.
*Fixed bug causing a crash when printing a draft.
*Fixed bug with use of -u command line switch on Solaris.
*Fixed bug with auto-sizing of search/rules/preferences windows/dialogs.
*Fixed bug with failure to allow use of mailboxes on read-only volumes.
*Fixed bug causing a crash when cache all is cancelled.
*Fixed bug with GSSAPI not working with IMSP.
*Fixed bug with choose being used when no copy to selected in Simple
prefs panel.
*Fixed bug with inability to turn off POP3 INBOX checking.
*Fixed bug with failure to trigger filters when trigger set to Always.
*Fixed bug with rules preferences always being written to IMSP even when
unchanged.
*Fixed bug with GSSAPI not recovering user id used to get Kerberos tgt.
*Fixed bug with failure to remember parts split position in
message/draft windows.

v2.1 : 28-Aug-2001
Minor Changes
*Shift-tab now moves to the previous unseen message in a mailbox window.
*Password dialog now shows the account name as well as the server
address.

Fixes
*Fixed bug with sig-dashes in quoted-printable messages.
*Fixed bug with failure to reset formatting popup if Raw Message option
is cancelled.
*Fixed bugs with reverse sorted mailboxes and selection, initial
positioning behaviour.
*Fixed bug causing a crash when threading a large mailbox.
*Fixed bugs with failure to properly recover from failed POP3 retrieve
operations.
*Fixed bug with decoding of unknown charsets in MIME-encoded headers.
*Fixed bug with double-click not working in search window mailbox list.
*Fixed bug with crash when using Make Rule command.
*Fixed bug with failure to decode format=flowed if Content-Disposition
header was not inline.
*Fixed bug with deleting rules that would cause garbage/crash in the
triggers list.
*Fixed bug with re-ordering of rules when read in if there were ten or
more.
*Fixed bug with failure to do drag and drop in rules manager window.
*Fixed bug causing a crash when decoding certain UU data.
*Fixed bug with incorrect alert when using default download directory to
save attachments.
*Fixed bugs with subject extraction algorithm used for threading and
subject sorting.
*Fixed bugs with failure to properly delete multiple selected rules.

v2.1b3 : 30-Jul-2001
Fixed
*Fixed bug with IMAP THREAD/SORT extensions and empty mailboxes.
*Fixed bug causing a crash when a message win dow is deleted in a
particular way
*Fixed bug causing reconstruct of local mailbox when a local append
operation fails.
*Fixed bug with base64 encoding when base64 data is of a particular
length.
*Fixed bug with local threading grouping empty subjects.
*Fixed bug causing a crash when switching between mailboxes in thr same
window.
*Fixed bug causing a crash when parsing broken IMAP message structure
data.
*Fixed bug with failure to prepend the account name to the mailbox used
in a rules copy/move action.
*Fixed bug with failure to resolve/expand addresses when Send button is
clicked while address field is still active.
*Fixed bug with failure to reset cached data when a mailbox connection
is recovered.
*Fixed bug with failure to properly disconnect when a login fails.
*Fixed bug with local rfc822 parsing causing body part lengths to appear
shorter than they are.
*Fixed bug with 'Is not Me' address search option not being properly
restored when written and read from preferences.

v2.1b2 : 9-Jul-2001
Minor Changes
*Network related errors now include additional context information (e.g.
account name) when displayed to the user.
*Added shortcut for Include Original menu item.
*Certain HTML unicode entities (e.g. curly quotes) are now mapped to
ascii equivalents.
*SSL plugin updated to latest openssl release.
*Now selects the password field when a login fails.
*Added support for PRINTCMD environment variable which determines the
default command to use for printing.

Fixes
*Fixed bug with crashes caused when splitter resizes.
*Fixed bug with ANONYMOUS login to certain types of server.
*Click-to-match on smart address column changed to match based on the
type of smart address being clicked on.
*Fixed bug with deleting failing to skip over fake items in a mailbox
window thats sorted by thread.
*Fixed bug with ']' cancelling certain dialogs.
*Fixed bug occasionally causing a crash when switching between mailboxes
in the same mailbox window.
*Fixed bug with tabs not working when num/caps/scroll locks are on.
*Fixed bug with creating new identities in a draft window.
*Fixed bug with meaningless numerical errors fro SSL operations.
*Fixed bug with failure to correctly display the raw message data when
moving between messages.

v2.1b1 : 22-June-2001
Minor Changes
*Can now specify the directory for the local SMTP queue files via
editing the first SMTP account in the preferences.
*Added basic default emacs key bindings to text fields.

Fixes
*Fixed bug causing a crash when closing the About/About Plugins dialogs
via the title bar.
*Fixed bug with reversed behaviour of attachment download radio buttons
in prefs panel.
*Fixed bugs with re-opening saved drafts that contain alternative,
signed or encrypted data.
*Fixed bug with SMTP receive line buffer being too small.
*Fixed bug with focussing on edit fields when draft window defaults to
opening with a collpased header.
*Fixed various bugs related to split window resizing (message, draft,
address book).
*Fixed bug with failure to redraw mailbox window during an expunge when
new mail arrives.
*Fixed bug with failure to display only the search results after doing a
search with non-default sorting or threading.
*Fixed bug causing a crash when doing an 'Update then Disconnect' with
an open mailbox window.
*Fixed bug with spell checker being active in a draft with no editable
part.
*Fixed bug with incorrect status line details when downloading
attachments.
*Fixed bug with failure to transfer user id into an SMTP account
whenusing the admin tool kit configuration process.
*Fixed bug with failure to do sort 'Current' behaviour properly with new
sorting/threading scheme.
*Fixed bug with smart signature replacement.
*Fixed bug with AUTH=ANONYMOUS logins.

v2.1a6 : 24-May-2001
Major Changes
*Added support for rules: local filters and SIEVE scripts.
*Added NAMESPACE dialog to do initial hierarchy configuration.
*Added Reset All display hierarchy command to bring up new NAMESPACE
dialog after initial setup.
*Added support for IMAP SORT extension.
*Added support for IMAP THREAD extension.
*Thread sorting now uses References, In-Reply-To and Message-ID headers.
*Thread column text in mailbox window is indented the appropriate amount
when Thread sorting is applied.
*Attachments can now be 'viewed' as opposed to just saved todisk. This
will save viewed attachments to disk in the tempdirectory, and these
will be deleted when Mulberry quits.
*Added new BCC caption option (on by default) that sends a separate
message with a textual warning at the top to any bcc recipients. The
warning text can be configured via the prefs.

Minor Changes
*Search window criteria are now inside a scrolling view to allow many
criteria without the search window growing too big.
*Search criteria can now be moved up/down with respect to others.
*Preference panel re-organisation with some new sub-panels introduced.
*Changes to the signature text in a draft window will now prevent the
signature from being automatically replaced when the identity is
changed.
*Now generates a References header when replying.
*Added new options and a dialog to allow choice of how a message is
forwarded, using a quote, an attachment ot both.
*Forward options now allow forwarding of the complete original message
headers.
*Added new option to message window formatting popup to view the entire
'raw' contents of a message in the message window, which can be saved or
printed in that form.
*Added Mailbox/Directory choice buttons to Create Mailbox dialog.
*Added new options and a dialog to allow saving of drafts to either a
file or a mailbox when the File menu Save/Save As commands are used.
*When encrypting, the 'encrypt-to-self' key is now the default signing
key.
*Clicking on an already sorted column title reverses the sort order.
*Smart reply quoting based on the selection in the original message can
now be turned off view a new preference.
*URL's are not highlighted or clickable if any modifier key is down,
allowing URLs to be selected without being triggered.
*Address Import/Export items are now always active but generate an error
message when an address book is not on top.
*Added another forward option to allow messages to be sent as
message/rfc822 (default) or as normal parts
*Recognised URL text in outgoing HTML now has <A HREF ..>...</A> tags
automatically applied.
*Merged server properties dialog into mailbox properties.
*Changed Original button in Draft window to Spelling.
*Added quoting options to the reply addressing dialog.
*Added an option to control the auto-expansion of address fields in the
message window header.
*Date search/rules criteria now allow is/is not for relative dates.

Fixes
*Fixed bug with nested IMAP LIST calls when logging in.
*Fixed bug with signature duplication when using Send Again.
*Fixed bug woith quotation colours not being read/written to the
preferences properly.
*Fixed bug with failure to match first header when doing message header
search in a local mailbox.
*Fixed bug with failure to authenticate with newer versions of the UW
IMAP server.
*Fixed bug with disconnected playback of COPY operations when the IMAP
server does not support UIDPLUS.
*Fixed bug with message rollover not auto-expanding/collapsing parts
table.
*Fixed bugs with improper handling of <xml> and <!--...--> HTML tags.
*Fixed local mailbox reconstruct to better cope with date mismatches
between mailbox, cache and index files.
*Fixed bug causing long delays when parsing text/enriched with lots or
relative font size changes.
*Fixed bug with new messages appearing at the bottom of the list when
reverse sorted.
*Fixed bug with Open button remaining inactive in the Open Mailbox
dialog.
*Fixed bug with creation of duplicate local address books.
*Fixed bug with reverse sorting when moving to the next mailbox with
unseen messages.
*Fixed bug with format=flowed being used for Content-Disposition:
attachment.
*Fixed bug with failure to parse QUOTAROOT response when quota root name
is empty.
*Fixed bug with active subscribe checkbox in Create Mailbox dialog when
a POP3 or local account is being used.
*Fixed bug with wrapping while quoting text when forwarding.
*Fixed bug with crashes related to recovering local mailbox cache
information.
*Fixed bug with loss of mailbox expansion state after renaming a
mailbox.
*Fixed bug with quoted-printable encoding and interaction with
format=flowed.
*Fixed bug with Send Again including the pgp signature part from the
original.
*Fixed bug with occasional failure to mark messages as seen when opened.
*Fixed bug with parsing of local mailbox containing messages with broken
MIME structure.
*Fixed bug with failure to do proper thread locking when searching
mailboxes.
*Fixed bugs with failure to do proper thread locking during POP3 checks.
*Fixed bug with local parsing of zero length message bodies.
*Fixed bug with failure to use proper message size *recipient count
value when usign admin locks.
*Fixed bug with failure to connect to poppassd server when changing
passwords.

v2.0.8 : 15-March-2001
Fixes
*Fixed bug with incorrect multi-user login user id being transferred to
the email address when certain admin options are configured.

v2.0.7: 12-March-2001
Minor Changes
*Added support for spell checking using ISpell.
*Only a single instance of Mulberry (per-user) will now be launched,
allowing mailto URLs to create drafts in an existing running copy of
Mulberry without creating a whole new process.
*Added basic online help that includes the current FAQ page from out
website.
*Added support for AdminTool configuration.
*Status window now uses the Mulberry application icon when collapsed.

Fixes
*Fixed bug with draft address parsing when parenthesis are in the
phrase.
*Fixed bug with failure to expand when nick-name expansion is requested.
*Fixed bug with forward quotation adding an unwanted space when no quote
character is set.
*Fixed bug with case-sensitive smart address testing of the default
identity.
*Fixed bug with Open Addressbook command/button activation.
*Fixed bug with wildcard cabinet items in the copy to cabinet causing
menu lock-up in disconnected mode.
*Fixed bug with SMTP queue window attempting to open when its locked
out.
*Fixed bug causing a crash when parsing empty tags in styled text.
*Fixed bug with dealing with disconnected playback when certain
operations are missing from the playback log.
*Fixed bug with parsing URLs that use the new IPv6 URL scheme for
specifying a server address.
*Fixed bug in which a fake drag and drop operation would be triggered in
the server window when collapsing a hierarchy while scrolled to the end
of the list.
*Fixed bug with plugin registration failing when plugins are in a
read-only directory.
*Fixed bug with Open Mailbox menu command not being triggered in all
windows.
*Fixed bug causing a crash on startup when a previously configured open
on startup local address book no longer exists.
*Fixed bugs related to improper parsing of the last line of the URL,
MIME mapping files.
*Fixed bug causing a crash on SPARC when an explicit MIME mapping is
setup in the preferences.
*Fixed bug in which single server/display hierarchy Copy To menu was not
working.

v2.0.6: 02-February-2001
Fixes
*Fixed bug with intial state of deactivated identity edit copy to
controls.
*Fixed bug causing a crash whenb using the Select popup in the mailbox
window in match mode.
*Fixed bug with failure to do copy's when using the copy to menu without
cabinets and multiple accounts.
*Fixed bug causing a crash while searching and a mail check is done on a
mailbox being searched.
*Fixed bug with pattern matching mailcap MIME entries.
*Fixed bug with flashing message counter caption in message window.
*Fixed bug preventing mailbox window context menu from appearing when
copy to sub-menu is refreshed.
*Fixed bug causing a crash when attempting to change a MIME mapping set
in the attachment preferences.
*Fixed bug with 8-bit (accented) characters failing to be counted as
part of a word when doing word-selection.
*Fixed bug causing a crash when quitting with an open local address
book.

v2.0.6b4: 28-January-2001
Fixes
*Fixed bug with address expansion when typing return in single line
address field.
*Fixed bug with parsing addresses with a name component that starts with
a parenthesis.
*Fixed bug with search criteria data field not appearing properly.
*Fixed bug with nested LIST commands during startup.
*Fixed bug with searching the contents of the first header in a local
mailbox.
*Fixed bug with deleting mail accounts to only leave one.
*Fixed bug with message number counter in message window when total
message count exceeds 9999.
*Fixed preferences dialog to delay font lookup until font panel is
actually shown.

v2.0.6b3: 25-January-2001
Minor Changes
*Added support for application launching using mailcap file.
*Plugins search now includes /usr/lib/mulberry and
/usr/local/lib/mulberry if present.
*-u command line switch no longer requires mailto: prefix to generate a
draft.
*Added preference to control selection/hilite colour in text and lists.

Fixes
*Fixed bug causing a crash on quit after swicthing preference sets.
*Fixed bug with Delete and Read Next menu title being changed.
*Fixed bug with draft window header redraw.
*Fixed bug with failure to do display updates while network ops are in
progress.
*Fixed various thread problems causing seg faults with new mail arrivals
and mailbox windows.

v2.0.6b2: 08-December-2000
Fixes
*Fixed bug with delete/copy next in message window causing a crash.

v2.0.6b1: 29-November-2000
Fixes
*Fixed bug with handling of Compose key on Solaris.
*Fixed bug with Close/Quit alert appearing when switching preference
sets.
*Fixed bug causing an assert when bouncing a message and the defaul
signature length is larger than the bounce text.
*Fixed bug with reading of Mac/Win32 format address books.
*Fixed bug causing a crash when cancelling the initial registration
dialog.
*Fixed bug with Home/End not selecting the appropriate row in a table.
*Fixed bug with ctrl-backspace behaviour in text fields.
*Fixed bug where HTML font size was not relative to the size set in the
preferences.
*Fixed bug in which local address books would not open at startup.
*Fixed bug with improper naming of incoming attachments.
*Fixed bug in which insertion point would move while scrolling a text
area.
*Fixed bug in which dragging an address to an empty address field would
insert an unwanted linefeed.
*Fixed bugs with drag and drop in draft window parts table.
*Fixed bug to ensure draft window title is always updated based on
subject as it is typed.
*Fixed bug in which error during drag and drop would prevent further
drag operations or cause an assert.
*Fixed bug in which text select all would not copy to the X-clipboard.
*Fixed bug with missing copy to sub-menu in mailbox context menu.
*Fixed bug causing a crash on exit after using the No Copy button in the
draft mailbox choose dialog.
*Fixed bug causing a crash when a message window is switched from one
mailbox to another with the parts list expanded.
*Fixed bug to ensure smart address click-auto-match now uses proper
smart address.
*Fixed bug in which shift-tab would not focus back on the subject field
in a draft window.
*Fixed bug in which real name part of default identity was being used in
the smart address test.
*Fixed bug with use of proper key modifier mappings.
*Fixed a bug causing a crash when decrypting a message for which no
private key exists.
*Fixed various bugs related to ACAP address book searching.
*Fixed various bugs related to handling table tags in HTML
*Fixed bug in which single '&' in HTML would not be displayed as such.
*Fixed bug with preferences dialog panel/button changes when failing to
switch to remote prefs.

v2.0.6a8: 30-October-2000 (includes fixes/changes from Mac/Win32 v2.0.5
release)
Fixes
*Fixed bug with static text items triggering save to X-clipboard.
*Fixed bug with asserts when opening a message with illegal control
characters in it.
*Fixed bug with spurious linefeed inserted into bounce headers.
*Fixed bug with lcoalised date being used for RFC822 date header.
*Fixed bug with short date being shown in message window date fields.
*Fixed bug with enabling of context menu items in address search window.
*Fixed bug with flat/hierarchic button state in message window parts
list.
*Fixed bug with text focus loss after auto-parts expand in message
window.
*Fixed bug with XErrors when increasing the size of a mailbox window so
that it forces message caching.
*Fixed bug with GPG plugin 'missing virtual method' on some platforms.

v2.0.5a7: 6-October-2000 (see also Mac/Win32 v2.0.5b3 release notes)
Fixes
*Fixed bug with verification of detached signatures.
*Fixed bug with failure to bring address book manager to the top when
menu item selected.
*Fixed bug with failure to notice PAPERSIZE environment variable.
*Fixed bug thatcould cause a crash immediately after a send when the
draft window is being closed.
*Fixed bug with mouse-up events being list after a double-click that
generates network activity.
*Fixed bug with Select All not triggering automatic copy to primary
clipboard.
*Fixed bug with password field being locked even though no password is
set.

v2.0.5a6: 27-September-2000
Major Changes
*Added support for SSL (as per Mac/Win32 2.0.5b2 release).
*Added support for PGP via GNUpg (which must be installed on the local
machine).

Minor Changes
*Can now print messages from the message or draft windows.
*Added 'No Copy' support to mailbox browse dialog initiated from draft
window.
*Esc key can now be used to cancel network operations in progress.
*Enabled clipboard Cut/Copy/Paste of addresses and groups in the address
book window.

Fixes
*Fixed bug causing clipboard data to be copied when no user action takes
place.
*Fixed bug with Check button not responding in Server window.
*Fixed bug causing assertion for mail messages containing undisplayable
characters.
*Fixed bug with pasting data from other apps.
*Fixed bug with disabled context menus in address book window.
*Fixed bug allowing search window to be maximised when it should be
fixed size.
*Fixed bug causing occasional asserts when new mail check thread updates
server window.

v2.0.5a5: 30-August-2000
Minor Changes
*Now detects network interface status and generates
connected/disconnected dialog on startup if no interface is available.
*Can now do auto-dial/hangup using pppd process initiated via a script
(see Unix FAQ for more details). This is also used to detect possible
dial-up when first starting Mulberry.
*Now has multiple Undo/Redo capability in text areas.
*Added Open Draft command support.
*Can now save messages to disk as text files.
*Changed file extension re-mapping procedure to honor multiple
extensions in mime.types file, and to prevent re-mapping for
application/octet-stream attachments.
*Added -d/--disconnect command line switch to force connect/disconnect
startup prompt.
*Cut/copy/paste and unix copy-select behaviour now split to use
different X clipboards to be consistent with other apps.
*Can now drag and drop from the file manager into a draft parts table.
*Changed X WM_COMMAND to 'mulberry' from 'jxapp'.
*Kerberos V4, GSSAPI plugins now available for Solaris/SPARC.

Fixes
*Fixed bug with non-responsive identity popup in account sub-panels in
preferences.
*Fixed bug with failure to activate last sub-menu in a context menu.
*Fixed bug with incorrect order of WM_Class items.
*Fixed bug with multiple paste as quotation commands being triggered.
*Fixed bug with non-responsive Forward button in mailbox window.
*Fixed bug with hierarchy item in create mailbox dialog that should not
have been editable.
*Fixed bug with line end fotrmat of drafts saved to disk.
*Fixed bug with failure to synd changes back to the local prefs
initially used when starting up.
*Fixed bug with behaviour of Home/End keys in text controls.
*Fixed bug with alerts in worker threads causing Xlib errors.
*Fixed bug with failure to update changes to draft parts propereties.
*Fixed bug with failure to generate connect 'tickle's while
dialogs/alerts are on screen.
*Fixed bug with assert generated when more than one alert tries to
display on screen.
*Fixed bug with context menus in text controls.
*Fixed bug with segfaults when some error dialogs are shown.
*Fixed bug with assert generated in disconnect dialog and search window
when mailbox list is empty.
*Fixed bug with closed status window causing segfaults when menus are
updated.
*Fixed bug with inactive account popup in SMTP queue window.
*Fixed bug with address choose dialog from an address window using
'reply' mode.
*Fixed bug with processing of New Message command in address book
windows.
*Fixed bug with missing Synchronise and Clear Disconnected commands in
address book window.
*Fixed bug with lists failing to auto-scroll during a drag.
*Fixed so that URL launches are only triggered by a left-mouse button
click.
*Fixed bug with criteria updates when selecting search sets in the
search window.
*Fixed bug with drag and drop from external source into an address field
in the draft window.
*Fixed bug with message window sometimes failing to respond to space bar
presses.
*Fixed bug with mailbox window being raised above message window when
moving from the last new message in one mailbox to the first in another.
*Fixed bug with identity edit dialog items not deactivating when Active
checkbox is turned off.
*Fixed bug with slow updating of windows when a dialog or alert is
displayed and dragged.

v2.0.4a4: 28-July-2000
Major Changes
*Solaris8 SPARC & x86 versions now available!
*Added address book manager window and associated dialogs.
*Added address search window - includes LDAP support.
*Added 'new-look' address book window (matching feature does not work
right now) and associated dialogs.
*Added support for all currently available address import/export
plugins.
*Added status window.

Minor Changes
*Added icons for each window type, which display when windows are
iconised.
*Can drag attachments out of message parts table (only within Mulberry).
*Added draft parts properties dialog.
*Enabled drag and drop in draft parts list.
*Added mulberry.png/xpm 48x48 pixel icon files for use on toolbars.
*Added ESound support - requires libesd and libaudiofile. Enter full
path name to sound file in preferences.

Fixes
*Fixed bug with reseting message window state when header is collapsed.
*Fixed bug with unhandled C++ excpetions causing application
termination.
*Fixed bug with missing socket error strings.
*Fixed bug with window state saving when quitting.
*Fixed bug with drag and drop of messages to text fields.
*Fixed bug with missing window title for signature/headers edit.
*Fixed bug with right-mouse click selecting weird range of cells in
tables.
*Fixed bug with Preferences dialog expand/collapse on CDE.
*Fixed bug with doing address expansion via keyboard or menu.
*Fixed bug with determination of user id in Kerberos plugin.
*Fixed bug with inactive commands in message window.
*Fixed bug with failure to cancel the new identity dialog.
*Fixed bug in which server context was not mapped to proper error
string.
*Fixed bug with attachments on little endian (x86) machines.
*Fixed bug with disconnect dialog expand/collapse on CDE.

NB Relevant changes in Mulberry v2.0.3 for Mac OS/Win32 have also been
incorporated into this unix release, but are not listed above.

v2.0.1a3: 30-June-2000
Fixes
*Fixed bug with inability to create ~/.jx_globals.pref for first time
users.

v2.0.1a2: 28-June-2000
Major Changes
*Added message search window.
*Added disconnect/connect dialog.
*Added synchronise dialog.

Minor Changes
*Added window manager class and type information to all windows.
*Added context menus to most windows.

Fixes
*Fixed bug with drag and drop in identities list in preferences dialog.
*Fixed bug with paste as quotation not being active in draft window.
*Fixed bug with parts field being an input field in the draft window.
*Fixed bug with failure to fill in To address when clicking on a mailto
URL.
*Fixed bug with dynamic instead of statically linked K4 libraries.
*Fixed bug with quoting of replies containing paragraph breaks.
*Fixed bug with failure to startup properly on 8-bpp x-displays.
*Fixed bugs with tabbing between fields in the message and draft
windows.
*Fixed bug with failure to insert tabs in draft body.
*Fixed bug with incorrect timezone in dates generated by Mulberry.
*Fixed bug with failure to update identity popup in drafts when
identities changed in prefs.
*Fixed bugs causing termination when network errors occur.
*Fixed bug with quotation highlighting in message window.
*Fixed bug in which Find would not scroll to the text selection if it
was oeturn as a shortcut for the OK button.
*Fixed bug with inactive Forward button.
*Fixed bug with changes to the ip address of the first account in the
preferences not being remembered when switching to another account.
*Fixed bug in which Find would not scroll to the text selection if it
was out of view.

NB Relevant changes between Mulberry v2.0 and v2.0.1 for Mac OS/Win32
have
also been incorporated into this unix release, but are not listed above.

v2.0.1a1 : 24-May-2000
*First alpha release.
